<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>

    <xsl:template match="/">
        <html>
            <head>
                <title><xsl:value-of select="/html/head/title"/></title>
            </head>
            <body>
                <xsl:apply-templates select="/html/body"/>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="/html/body">
        <xsl:copy-of select="//div[@class='generaltitle']"/>
        <xsl:copy-of select="//div[@class='article']/div[@class='details']"/>
        <xsl:copy-of select="//div[@class='intro']"/>
        <xsl:apply-templates select="//div[@class='commentTop']|//div[@class='commentBody']"/>
        <hr/>
        <xsl:copy-of select="//div[@id='footer']/div[@class='rightcontent']"/>
    </xsl:template>

    <xsl:template match="//div[@class='commentTop']">
        <hr/>
        <b><xsl:value-of select="div[@class='title']"/></b><br/>
        <small><xsl:value-of select="div[@class='details']"/></small>
        <!--
        <xsl:copy-of select="."/>
        -->
    </xsl:template>

    <xsl:template match="//div[@class='commentBody']">
        <p><xsl:copy-of select="."/></p>
    </xsl:template>
</xsl:stylesheet>
